# $Revision: 1.34 $, $Date: 2003/07/21 07:04:28 $
#
# Conditional build:
# _without_gtk	build without gtk2(monitor) support
#
Summary:	Program to distribute compilation of C or C++
Summary(pl):	Program do rozdzielania kompilacji programw w C lub C++
Name:		distcc
Group:		Development/Languages
Version:	2.9
Release:	2
License:	GPL
URL:		http://distcc.samba.org/
Source0:	http://distcc.samba.org/ftp/distcc/%{name}-%{version}.tar.bz2
# Source0-md5:	fa4cbb8dbebb0d87b0d1da7d2d34bf57
Source1:	%{name}.inetd
Source2:	%{name}.init
Source3:	%{name}.sh
Source4:	%{name}.csh
Source5:	%{name}.config
Patch0:		%{name}-user.patch
%{!?_without_gtk:BuildRequires:	gtk+2-devel >= 2.0}
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
distcc is a program to distribute compilation of C or C++ code across
several machines on a network. distcc should always generate the same
results as a local compile, is simple to install and use, and is often
two or more times faster than a local compile.

%description -l pl
distcc jest programem pozwalajcym na dystrybucj kompilacji C lub C++
na kilka maszyn w sieci. distcc powinien zawsze generowa takie same
rezultaty jak lokalna kompilacja, jest prosty w instalacji i uyciu
oraz bardzo czsto dwa lub wicej razy szybszy ni lokalna kompilacja.

%package common
Summary:	Common files for inetd and standalone versions of distcc
Summary(pl):	Pliki wsplne dla wersji inetd i standalone distcc
Group:          Daemons
Requires:	gcc
Requires:	gcc-c++
Obsoletes:      %{name} < %{name}-2.1-2

%description common
distcc is a program to distribute compilation of C or C++ code across
several machines on a network. distcc should always generate the same
results as a local compile, is simple to install and use, and is often
two or more times faster than a local compile.

%description -l pl common
distcc jest programem pozwalajcym na dystrybucj kompilacji C lub C++
na kilka maszyn w sieci. distcc powinien zawsze generowa takie same
rezultaty jak lokalna kompilacja, jest prosty w instalacji i uyciu
oraz bardzo czsto dwa lub wicej razy szybszy ni lokalna kompilacja.


%package inetd
Summary:	inetd configs for distcc
Summary(pl):    Pliki konfiguracyjne do uycia distcc poprzez inetd
Group:          Daemons
PreReq:         %{name}-common = %{version}
PreReq:         rc-inetd
Obsoletes:      %{name} < %{name}-2.1-2

%description inetd
distcc configs for running from inetd.

%description inetd -l pl
Pliki konfiguracyjna distcc do startowania demona poprzez inetd.

%package standalone
Summary:	standalone daemon configs for distcc
Summary(pl):	Pliki konfiguracyjne do startowania distcc w trybie standalone
Group:		Daemons
PreReq:		%{name}-common = %{version}
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Obsoletes:      %{name} < %{name}-2.1-2

%description standalone
distcc configs for running as a standalone daemon.

%description standalone -l pl
Pliki konfiguracyjne distcc do startowania demona w trybie
standalone.

%prep
%setup -q
%patch -p1

%build
%configure \
	%{!?_without_gtk: --enable-gnome}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd \
	   $RPM_BUILD_ROOT/etc/rc.d/init.d \
	   $RPM_BUILD_ROOT/etc/profile.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/distccd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/distcc
install %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT/etc/profile.d
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/distccd

%clean
rm -rf $RPM_BUILD_ROOT

%post inetd
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd reload 1>&2
else
        echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun inetd
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd reload
fi

%post standalone
/sbin/chkconfig --add distcc
if [ -f /var/lock/subsys/distccd ]; then
        /etc/rc.d/init.d/distcc restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/distcc start\" to start distcc daemon."
fi

%preun standalone
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/distccd ]; then
                /etc/rc.d/init.d/distcc stop 1>&2
        fi
        /sbin/chkconfig --del distcc
fi

%files common
%defattr(644,root,root,755)
%doc AUTHORS NEWS README *.txt
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/distccd
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_mandir}/man?/*
%attr(644,root,root) /etc/profile.d/*sh

%files inetd
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/rc-inetd/distccd

%files standalone
%attr(755,root,root) /etc/rc.d/init.d/distcc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: distcc.spec,v $
Revision 1.34  2003/07/21 07:04:28  misi3k
- rel 2
- added gtk2 bcond (distcc-monitor)

Revision 1.33  2003/07/21 06:28:35  misi3k
- updated to 2.9

Revision 1.32  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.31  2003/07/10 03:55:24  misi3k
- updated to 2.8

Revision 1.30  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.29  2003/06/25 10:02:37  misi3k
- updated to 2.7.1

Revision 1.28  2003/06/17 12:04:57  ciril
- Updated to 2.7

Revision 1.27  2003/06/05 07:45:17  misi3k
- updated to 2.5.1

Revision 1.26  2003/05/27 19:51:30  misi3k
- updated to 2.5

Revision 1.25  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.24  2003/05/25 05:46:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/05/21 09:02:15  misi3k
- updated to 2.4
Changes:
  BUG FIXES:

    * If an IO error occurs while trying to get a lock, bail out rather
      than getting stuck.

    * Don't use the RFC2553 getaddrinfo/getnameinfo API by default,
      because it seems to be slower on OS X and possibly problematic
      on other systems.  It can be enabled with --enable-rfc2553 if
      you want to use IPv6, multi-homed servers, or want to test the
      new API.

Revision 1.22  2003/05/17 19:40:15  misi3k
- updated to 2.3
- removed host file patch not needed

Revision 1.21  2003/05/11 20:05:42  misi3k
- damm typos

Revision 1.20  2003/05/11 20:04:31  misi3k
- next typo

Revision 1.19  2003/05/11 20:00:58  misi3k
- typo

Revision 1.18  2003/05/11 19:45:15  misi3k
- rel 2
- added distcc config file (HOSTS_ALLOW)
- now distccd works as user nobody

Revision 1.17  2003/05/05 19:13:48  misi3k
- updated to 2.2

Revision 1.16  2003/05/05 14:12:56  qboosh
- cleanups, moved R: from non-existent base to -common

Revision 1.15  2003/05/04 13:27:03  misi3k
- rel 2
- added init file
- split into subpages distcc-{common,inetd,standalone}

Revision 1.14  2003/05/03 19:38:58  misi3k
- updated to 2.1
- version patch removed, not needed

Revision 1.13  2003/04/06 08:35:55  misi3k
- rel 4
- added version patch (patch3)

Revision 1.12  2003/04/06 07:57:01  misi3k
- rel 3
- added hostopt patch

Revision 1.11  2003/03/31 20:04:01  misi3k
- rel 2
- added hostfile patch

Revision 1.10  2003/03/28 07:24:47  misi3k
- updated to 2.0.1

Revision 1.9  2003/03/26 06:07:37  misi3k
- rel 2
- added profile.d files

Revision 1.8  2003/03/10 22:56:20  misi3k
- updated to 1.2.3

Revision 1.7  2003/03/02 12:15:27  misi3k
- added user.patch
- rel. 2

Revision 1.6  2003/02/22 18:25:23  misi3k
- fix %%doc (missing html files)

Revision 1.5  2003/02/22 17:35:26  misi3k
- updated to 1.2

Revision 1.4  2003/02/13 23:03:44  misi3k
- updated to 1.1

Revision 1.3  2003/01/16 11:30:25  areq
- 1.0, STBR

Revision 1.2  2002/12/01 12:47:13  tjbynum
- new version. - small translation fixes.

Revision 1.1  2002/10/12 16:00:36  misiek
- initial pld release

* Mon Oct 07 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.12-2mdk
- include distccd in xinetd service
- add disttc port in /etc/services
* Mon Oct 07 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.12-1mdk
- release 0.12
* Sun Sep 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.11.0-1mdk
- sorry for overwritting first spec.
- release 0.11
* Mon Sep 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.1-1mdk
- from Austin Acton <aacton@yorku.ca> :
- update to 0.10.1
* Thu Aug 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8-1mdk
- from Austin Acton <aacton@yorku.ca> :
- update to 0.8
* Tue Aug 06 2002 Xavier Granier <xavier.granier@laposte.net> 0.6-1mdk
- First packaging
